HBaseDatabaseArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class HBaseDatabaseArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.HBaseDatabaseArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class HBaseDatabaseArgs
      extends Object

  Holds information for an HBase all database replication.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HBaseDatabaseArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HBaseDatabaseArgs` | `addFailedSnapshotTablesItem(String failedSnapshotTablesItem)`
    `boolean` | `equals(Object o)`
    `HBaseDatabaseArgs` | `failedSnapshotTables(List<String> failedSnapshotTables)`
    `List<String>` | `getFailedSnapshotTables()` Get failedSnapshotTables
    `HBaseWholeDbReplicationStrategy` | `getReplicationStrategy()` Get replicationStrategy
    `int` | `hashCode()`
    `HBaseDatabaseArgs` | `initialSnapshot(Boolean initialSnapshot)`
    `Boolean` | `isInitialSnapshot()` Get initialSnapshot
    `HBaseDatabaseArgs` | `replicationStrategy(HBaseWholeDbReplicationStrategy replicationStrategy)`
    `void` | `setFailedSnapshotTables(List<String> failedSnapshotTables)`
    `void` | `setInitialSnapshot(Boolean initialSnapshot)`
    `void` | `setReplicationStrategy(HBaseWholeDbReplicationStrategy replicationStrategy)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HBaseDatabaseArgs

          public HBaseDatabaseArgs()

  - ### Method Detail

    - #### failedSnapshotTables

          public HBaseDatabaseArgs failedSnapshotTables(List<String> failedSnapshotTables)

    - #### addFailedSnapshotTablesItem

          public HBaseDatabaseArgs addFailedSnapshotTablesItem(String failedSnapshotTablesItem)

    - #### getFailedSnapshotTables

          public List<String> getFailedSnapshotTables()

      Get failedSnapshotTables
      Returns:
        failedSnapshotTables

    - #### setFailedSnapshotTables

          public void setFailedSnapshotTables(List<String> failedSnapshotTables)

    - #### initialSnapshot

          public HBaseDatabaseArgs initialSnapshot(Boolean initialSnapshot)

    - #### isInitialSnapshot

          public Boolean isInitialSnapshot()

      Get initialSnapshot
      Returns:
        initialSnapshot

    - #### setInitialSnapshot

          public void setInitialSnapshot(Boolean initialSnapshot)

    - #### replicationStrategy

          public HBaseDatabaseArgs replicationStrategy(HBaseWholeDbReplicationStrategy replicationStrategy)

    - #### getReplicationStrategy

          public HBaseWholeDbReplicationStrategy getReplicationStrategy()

      Get replicationStrategy
      Returns:
        replicationStrategy

    - #### setReplicationStrategy

          public void setReplicationStrategy(HBaseWholeDbReplicationStrategy replicationStrategy)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.